#ifndef SIMULATION_THREADED_H
#define SIMULATION_THREADED_H

//OpenCL
#include "CL/cl.h"

// The lattice Boltzmann method
#include "LBM_3D.h"
#include "Timer.h"

#include "Simulation_utils.h"




void runSimulationThreaded(int num_threads);
void printIndevidualTimingsThreaded(int ant_threads);

void copyAvgVelToCPU_threaded(real_t *u_new,int ant_threads);
void calculateAvrageVelocityThreaded(real_t *avg_velocities, int ant_threads);



#endif